CREATE TABLE ego_rl_user_rules_b_ (
    RULE_ID                         NUMBER(18, 0) ,
    RULE_SET_ID                     NUMBER(18, 0) ,
    SEQUENCE                        NUMBER(18, 0) ,
    RULE_NAME                       VARCHAR2(120) ,
    RUN_ON                          VARCHAR2(120) ,
    RETURN_TYPE                     VARCHAR2(60)  ,
    TARGET_BUS_ENT                  VARCHAR2(160) ,
    TARGET_ATTR_GROUP_TYPE          VARCHAR2(120) ,
    TARGET_ATTR_GROUP_NAME          VARCHAR2(320) ,
    TARGET_ATTR_NAME                VARCHAR2(120) ,
    SEVERITY                        VARCHAR2(200) ,
    DEFAULT_CHANGE_ORDER_TYPE       VARCHAR2(120) ,
    ENFORCE_CHANGE_ORDER_TYPE       VARCHAR2(4)   ,
    MAX_NUM_ASSIGNED_ORGS           NUMBER(5, 0)  ,
    HAS_ALTERNATE_CATALOGS          VARCHAR2(4)   ,
    HAS_CONTEXT_ATTRS               VARCHAR2(4)   ,
    HAS_MULTIROW_ATTRS              VARCHAR2(4)   ,
    HAS_VARIANT_ATTRS               VARCHAR2(4)   ,
    HAS_STRUCT_ATTRS                VARCHAR2(4)   ,
    HAS_ASSIGNED_TO_ORG_FUNC        VARCHAR2(4)   ,
    HAS_ASSIGNED_TO_CATALOG_FUNC    VARCHAR2(4)   ,
    HAS_CLASS_CHANGE_FUNCTION       VARCHAR2(4)   ,
    HAS_EXISTS_FUNCTION             VARCHAR2(4)   ,
    HIDE_USER_MESSAGE               VARCHAR2(4)   ,
    RULE_XML                        CLOB          ,
    GROOVY_SCRIPT                   CLOB          ,
    GROOVY_BYTES                    BLOB          ,
    VERSION                         VARCHAR2(40)  ,
    HAS_ABORT_VALIDATION            VARCHAR2(4)   ,
    LAST_UPDATE_DATE                TIMESTAMP(6)  ,
    LAST_UPDATED_BY                 VARCHAR2(256) ,
    CREATION_DATE                   TIMESTAMP(6)  ,
    CREATED_BY                      VARCHAR2(256) ,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)  ,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    PRIMARY_IF_EXPRESSION           VARCHAR2(4000),
    SECONDARY_IF_EXPRESSION1        VARCHAR2(4000),
    SECONDARY_IF_EXPRESSION2        VARCHAR2(4000),
    SECONDARY_IF_EXPRESSION3        VARCHAR2(4000),
    SECONDARY_IF_EXPRESSION4        VARCHAR2(4000),
    SECONDARY_IF_EXPRESSION5        VARCHAR2(4000),
    VALIDATION_CONDITION            VARCHAR2(4000),
    SECONDARY_IF_RETURN_VALUE1      VARCHAR2(3200),
    SECONDARY_IF_RETURN_VALUE2      VARCHAR2(3200),
    SECONDARY_IF_RETURN_VALUE3      VARCHAR2(3200),
    SECONDARY_IF_RETURN_VALUE4      VARCHAR2(3200),
    SECONDARY_IF_RETURN_VALUE5      VARCHAR2(3200),
    AUDIT_ACTION_TYPE_              VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_           VARCHAR2(4000),
    AUDIT_IMPERSONATOR_             VARCHAR2(256) ,
    RULE_ID                         NUMBER(18, 0) ,
    RULE_SET_ID                     NUMBER(18, 0) ,
    SEQUENCE                        NUMBER(18, 0) ,
    RULE_NAME                       VARCHAR2(120) ,
    RUN_ON                          VARCHAR2(120) ,
    RETURN_TYPE                     VARCHAR2(60)  ,
    TARGET_BUS_ENT                  VARCHAR2(160) ,
    TARGET_ATTR_GROUP_TYPE          VARCHAR2(120) ,
    TARGET_ATTR_GROUP_NAME          VARCHAR2(320) ,
    TARGET_ATTR_NAME                VARCHAR2(120) ,
    SEVERITY                        VARCHAR2(200) ,
    HAS_ALTERNATE_CATALOGS          VARCHAR2(4)   ,
    HAS_CONTEXT_ATTRS               VARCHAR2(4)   ,
    HAS_MULTIROW_ATTRS              VARCHAR2(4)   ,
    HAS_VARIANT_ATTRS               VARCHAR2(4)   ,
    HAS_STRUCT_ATTRS                VARCHAR2(4)   ,
    HAS_ASSIGNED_TO_ORG_FUNC        VARCHAR2(4)   ,
    HAS_ASSIGNED_TO_CATALOG_FUNC    VARCHAR2(4)   ,
    HAS_CLASS_CHANGE_FUNCTION       VARCHAR2(4)   ,
    HAS_EXISTS_FUNCTION             VARCHAR2(4)   ,
    HIDE_USER_MESSAGE               VARCHAR2(4)   ,
    RULE_XML                        CLOB          ,
    GROOVY_SCRIPT                   CLOB          ,
    VERSION                         VARCHAR2(40)  ,
    HAS_ABORT_VALIDATION            VARCHAR2(4)   ,
    LAST_UPDATE_DATE                TIMESTAMP(6)  ,
    LAST_UPDATED_BY                 VARCHAR2(256) ,
    CREATION_DATE                   TIMESTAMP(6)  ,
    CREATED_BY                      VARCHAR2(256) ,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)  ,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    PRIMARY_IF_EXPRESSION           VARCHAR2(4000),
    SECONDARY_IF_EXPRESSION1        VARCHAR2(4000),
    SECONDARY_IF_EXPRESSION2        VARCHAR2(4000),
    SECONDARY_IF_EXPRESSION3        VARCHAR2(4000),
    SECONDARY_IF_EXPRESSION4        VARCHAR2(4000),
    SECONDARY_IF_EXPRESSION5        VARCHAR2(4000),
    VALIDATION_CONDITION            VARCHAR2(4000),
    SECONDARY_IF_RETURN_VALUE1      VARCHAR2(3200),
    SECONDARY_IF_RETURN_VALUE2      VARCHAR2(3200),
    SECONDARY_IF_RETURN_VALUE3      VARCHAR2(3200),
    SECONDARY_IF_RETURN_VALUE4      VARCHAR2(3200),
    SECONDARY_IF_RETURN_VALUE5      VARCHAR2(3200),
    AUDIT_ACTION_TYPE_              VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_           VARCHAR2(4000),
    AUDIT_IMPERSONATOR_             VARCHAR2(256) ,
    DEFAULT_CHANGE_ORDER_TYPE       VARCHAR2(120) ,
    ENFORCE_CHANGE_ORDER_TYPE       VARCHAR2(4)   ,
    GROOVY_BYTES                    BLOB          ,
    MAX_NUM_ASSIGNED_ORGS           NUMBER(5, 0)  ,
    CONSTRAINT pk_ego_rl_user_rules_b_ PRIMARY KEY (RULE_ID, LAST_UPDATE_DATE, LAST_UPDATED_BY, RULE_ID, LAST_UPDATE_DATE, LAST_UPDATED_BY)
);
